Returns whether or not a communication is allowed with a borrower.
It uses past interactions, current borrower status, loan status, and relevant Compliance Guard rules to make a decision if it is permissable to communicate with a borrower.
Note this endpoint always returns a 200 status code if we could successfully calculate a result. (i.e., even if a communication is not permitted this is a 200 response.)
The channel where interactions with a borrower occur. For example, an outbound call with a borrower is considered a voice interaction.
DEPRECATED: The fax channel is deprecated: new interactions cannot be created with the fax channel. It will be removed from completely in the future.
If true, do time-based checks based on noon today, instead of now. This does not override other reasons a check can fail: the borrower having a Do Not Interact in place, having reached the interaction frequency limit, etc. This is useful for generating borrower campaigns in the morning to be carried out during business hours.
Where possible, it's always better to check permission right before an action. Many things can change (payments are made, other automated interactions are sent, consents/addresses can be updated) from when you plan something to happen to when it actually happens. Lenders are responsible for ensuring it is still permissible to conduct the interaction.
true if an interaction is prerecorded or autodialed call. This attribute is relevant when channel=voice. If no value is passed, we'll assume isAutodialed=false (meaning manual call). If isAutodialed=true and the contact's consentAutodialedCall=false we'll return result=false. For more information read Telephone Consumer Protection Act (TCPA).
The ID of a Loan. This marks a particular loan as associated with this interaction.
The IDs of several loans. This marks several loans as associated with this interaction.
[ "LN-AAAA-BBBB", "LB-CCCC-DDDD" ]
If true, look up the associated collections case for this borrower, and, if it exists, use the loans in collections as input to this endpoint.
This cannot be used in conjunction with loanId or loanIds fields.
If there are no loans in collections for this borrower (i.e., no collections case), then this endpoint executes normally as if loanIds were not provided.
Note:
- Borrowers may only have one collections case at a time.
- This will mostly only be useful with collections-related themes:
opsCollDebt,opsCollLocateBorrower,opsCollVerifyEmployment, andopsCollContactEmployerNotice, but it is permissible to use with other themes.
The subject of the interaction. The subject identifies the category of the content in the message.
Most subjects have an associated implicit theme. e.g., loanOverdueFirstNotice has a theme of opsCollDebt. For these subjects it is not necessary to specify a theme.
Some subjects like freeForm and custom<N> do not have an implicit theme. When using these subjects you must specify a theme.
DEPRECATED: locStatementGenerated and locStatementRegenerated are deprecated. They will be automatically converted into statementGenerated and statementRegenerated respectively. You should switch to use those subjects directly.
DEPRECATED: failedSettlementPeach is deprecated. This was always a subject used by the Peach application internally, and will no longer be used. Attempts to set this subject will be rejected with a 400 error.
The reason why an interaction occurred.
For example:
- An outbound debt collection call should be marked as
opsCollDebt. - An annual privacy policy update email should be marked as
opsServicing. - A customer service response to borrower's inquiry should be marked as
opsServicing.
DEPRECATED: inbBug, inbHumanLove, and opsServicingNegativeCreditReportNotice are deprecated: you cannot create or update interactions to have these values.
- oauth2
- bearerAuth
- apiKeyHeader
curl -i -X POST \
'https://sandboxapi.peach.finance/api/people/{personId}/can-interact' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"channel": "voice",
"checkAtCompanyNoon": true,
"isAutodialed": false,
"loanId": "LN-AAAA-BBBB",
"loanIds": [
"LN-AAAA-BBBB",
"LB-CCCC-DDDD"
],
"loansFromCollCase": true,
"subject": "annualPrivacyPolicyNotice",
"theme": "agentNotification",
"contactExternalId": "string",
"contactId": "string"
}'{ "message": "string", "status": 0, "data": { "result": true } }